from softhebb import *
gpu_id = 0  # the script uses cpu automatically if gpu does not exist
device = init_script(gpu_id)
presets = 'softhebb2000normb0.05_base1e6_1epoch'
presets_dict = set_presets(presets)
seed = presets_dict['seed']
n_neurons = presets_dict['n_neurons']
dataseed = seed


save_dict_wta, save_dict_mlp, model_adaptive = compare_with_sup(from_savedMLP=False, from_savedWTA=False, presets=presets, epochs=1,
        device=device, running_train_test_options=['running', 'test'], seed=seed, dataseed=dataseed, n_neurons=n_neurons, loss_single_layer=False)
